Bug 168778 - [67cat] java.net.URISyntaxException: Illegal character in path at index 18: file:/C:/Documents and Settings/Zarinfam/My Documents/NetbeansProjects/New Folder/
[67cat] java.net.URISyntaxException: Illegal character in path at index 18: f...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Freeform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milan Kubec
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-19 12:04 UTC by saeed_z_f
Modified: 2009-08-21 06:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.92 KB, text/plain)
2009-07-19 12:04 UTC, saeed_z_f
Details
stacktrace (3.84 KB, text/plain)
2009-08-11 18:54 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description saeed_z_f 2009-07-19 12:04:48 UTC
Build: NetBeans IDE 6.7 (Build 200906241340)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments:
marco_bresciani: updated freeform project by reordering classpath jar files.



Stacktrace: 
java.net.URISyntaxException: Illegal character in path at index 18: file:/C:/Documents and Settings/Zarinfam/My Documents/NetbeansProjects/New Folder/<br/>
        at java.net.URI$Parser.fail(URI.java:2809)<br/>
        at java.net.URI$Parser.checkChars(URI.java:2982)<br/>
        at java.net.URI$Parser.parseHierarchical(URI.java:3066)<br/>
        at java.net.URI$Parser.parse(URI.java:3014)<br/>
        at java.net.URI.<init>(URI.java:578)<br/>
        at java.net.URL.toURI(URL.java:918)<br/>
Comment 1 saeed_z_f 2009-07-19 12:04:59 UTC
Created attachment 84906 [details]
stacktrace
Comment 2 Jiri Skrivanek 2009-07-27 09:03:29 UTC
Use File.toURI().toURL() in JavaProjectGenerator.getBuildFiles(JavaProjectGenerator.java:819).
Comment 3 Exceptions Reporter 2009-08-06 16:12:19 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153384
Comment 4 Exceptions Reporter 2009-08-11 18:54:35 UTC
Build: NetBeans IDE 6.7.1 (Build 200907230233)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b02
OS: Windows XP, 5.1, x86

User Comments: 
Adding a jar to the Output properties of my project. 

right click on project -> Properties ->Output->Add JAR/Folder

Stacktrace: 
java.net.URISyntaxException: Illegal character in path at index 18: file:/C:/Documents and Settings/ealpert/My Documents/NetBeansProjects/pm/lib/classes12.jar
        at java.net.URI$Parser.fail(URI.java:2816)
        at java.net.URI$Parser.checkChars(URI.java:2989)
        at java.net.URI$Parser.parseHierarchical(URI.java:3073)
        at java.net.URI$Parser.parse(URI.java:3021)
        at java.net.URI.<init>(URI.java:578)
        at java.net.URL.toURI(URL.java:916)
Comment 5 Exceptions Reporter 2009-08-11 18:54:40 UTC
Created attachment 86119 [details]
stacktrace
Comment 6 Exceptions Reporter 2009-08-11 18:54:45 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153384
Comment 7 Milan Kubec 2009-08-18 10:21:57 UTC
Fixed.

http://hg.netbeans.org/cdev/rev/e037995b14eb
Comment 8 Quality Engineering 2009-08-21 06:13:03 UTC
Integrated into 'main-golden', will be available in build *200908210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e037995b14eb
User: Milan Kubec <mkubec@netbeans.org>
Log: #168778: bad URI syntax


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo